Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class IDFilter

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              net.sf.saxon.event.StartTagBuffer
                  net.sf.saxon.event.IDFilter

All Implemented Interfaces:
  NamespaceResolver, Receiver, javax.xml.transform.Result

public class IDFilter
extends StartTagBuffer

IDFilter is a ProxyReceiver that extracts the subtree of a document rooted at the element with a given ID value. Namespace declarations outside this subtree are treated as if they were present on the identified element.

Field Summary

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver, systemId`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`IDFilter(java.lang.String id)`

Method Summary
`void` | `attribute(int nameCode, int typeCode, java.lang.CharSequence value, int locationId, int properties)` Notify an attribute.
`void` | `characters(java.lang.CharSequence chars, int locationId, int properties)` Character data
`void` | `comment(java.lang.CharSequence chars, int locationId, int properties)` Output a comment
`protected void` | `declareNamespacesForStartElement()`
`void` | `endElement()` endElement:
`void` | `processingInstruction(java.lang.String target, java.lang.CharSequence data, int locationId, int properties)` Processing Instruction
`void` | `startContent()` startContent: Test if a matching ID attribute was found; if so, start outputting.
`void` | `startElement(int nameCode, int typeCode, int locationId, int properties)` startElement

Methods inherited from class net.sf.saxon.event.StartTagBuffer
`declareAllNamespaces, getAttribute, getElementNameCode, getURICode, getURIForPrefix, hasAttributes, iteratePrefixes, namespace, setPipelineConfiguration, undeclareNamespacesForElement`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`close, endDocument, getConfiguration, getDocumentLocator, getNamePool, getSystemId, getUnderlyingReceiver, open, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDFilter

    public IDFilter(java.lang.String id)

Method Detail

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  startElement

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `StartTagBuffer`
  Throws:
    `XPathException`

### attribute

    public void attribute(int nameCode,
                          int typeCode,
                          java.lang.CharSequence value,
                          int locationId,
                          int properties)
                   throws XPathException

  Notify an attribute. Attributes are notified after the startElement event, and before any children. Namespaces and attributes may be intermingled.

  Specified by:
    `attribute` in interface `Receiver`
  Overrides:
    `attribute` in class `StartTagBuffer`
  Parameters:
    `nameCode` - The name of the attribute, as held in the name pool
    `typeCode` - The type of the attribute, as held in the name pool
    `properties` - Bit significant value. The following bits are defined:
    DISABLE_ESCAPING
  Disable escaping for this attribute
    NO_SPECIAL_CHARACTERS
  Attribute value contains no special characters
  Throws:
    `IllegalStateException:` - attempt to output an attribute when there is no open element start tag
    `XPathException`

### startContent

    public void startContent()
                      throws XPathException

  startContent: Test if a matching ID attribute was found; if so, start outputting.

  Specified by:
    `startContent` in interface `Receiver`
  Overrides:
    `startContent` in class `StartTagBuffer`
  Throws:
    `XPathException`

### declareNamespacesForStartElement

    protected void declareNamespacesForStartElement()
                                             throws XPathException

  Overrides:
    `declareNamespacesForStartElement` in class `StartTagBuffer`
  Throws:
    `XPathException`

### endElement

    public void endElement()
                    throws XPathException

  endElement:

  Specified by:
    `endElement` in interface `Receiver`
  Overrides:
    `endElement` in class `StartTagBuffer`
  Throws:
    `XPathException`

### characters

    public void characters(java.lang.CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Character data

  Specified by:
    `characters` in interface `Receiver`
  Overrides:
    `characters` in class `ProxyReceiver`
  Throws:
    `XPathException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.CharSequence data,
                                      int locationId,
                                      int properties)
                               throws XPathException

  Processing Instruction

  Specified by:
    `processingInstruction` in interface `Receiver`
  Overrides:
    `processingInstruction` in class `ProxyReceiver`
  Throws:
    `XPathException`

### comment

    public void comment(java.lang.CharSequence chars,
                        int locationId,
                        int properties)
                 throws XPathException

  Output a comment

  Specified by:
    `comment` in interface `Receiver`
  Overrides:
    `comment` in class `ProxyReceiver`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD